tigase.jaxmpp.core.client.xmpp.modules.auth

## Class AuthModule.DefaultCredentialsCallback

- java.lang.Object
- - tigase.jaxmpp.core.client.xmpp.modules.auth.AuthModule.DefaultCredentialsCallback

- All Implemented Interfaces:
    CredentialsCallback
  Enclosing class:
    AuthModule

      public static class AuthModule.DefaultCredentialsCallback
      extends Object
      implements CredentialsCallback

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultCredentialsCallback(SessionObject sessionObject)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCredential()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultCredentialsCallback

          public DefaultCredentialsCallback(SessionObject sessionObject)

  - ### Method Detail

    - #### getCredential

          public String getCredential()

      Specified by:
        `getCredential` in interface `CredentialsCallback`

Copyright © 2006–2020 Tigase. All rights reserved.